Operating the Vision Connector via an interface

Vision Connector User Manual

Portfolio
IndustrialAI
Product
Vision Connector
Software version
1.2.2
Language
en-US

Description

You can operate the basic functions of the Vision Connector via an interface without accessing the UI. Use the following http requests for this. You can access the API specification on an Edge device. The URL is: <host>/vca/swagger/.

Table 1. Camera API

http request

Command

Result

GET

/vca/api/v1/camera

Returns details of all cameras

POST

/vca/api/v1/camera

Adds a new camera

GET

/vca/api/v1/camera/export

Exports camera data

PUT

/vca/api/v1/camera/import

Imports camera data

GET

/vca/api/v1/camera/{camera_id}

Returns details of the camera

PUT

/vca/api/v1/camera/{camera_id}

Modifies the camera

DELETE

/vca/api/v1/camera/{camera_id}

Deletes the camera

GET

/vca/api/v1/camera/{camera_id}/config

Returns configuration parameters of the camera

PUT

/vca/api/v1/camera/{camera_id}/config

Modifies configuration parameters of the camera

GET

/vca/api/v1/camera/discover/{interface_name}

Returns a list of all available cameras

GET

/vca/api/v1/camera/{camera_id}/status

Returns the current status of the camera

POST

/vca/api/v1/camera/{camera_id}/replay

Restarts the image sequence of simulation cameras (simulated_camera only)

Table 2. Interface API

http request

Command

Result

GET

/vca/api/v1/interface

Returns the details of all interfaces

POST

/vca/api/v1/interface/{interface_name}

Adds a new interface

DELETE

/vca/api/v1/interface/{interface_name}

Deletes the interface

GET

/vca/api/v1/interface/{interface_name}/package

Download the package file of the interface

POST

/vca/api/v1/interface/{interface_name}/package

Update the package file of the interface

Table 3. Simulation API

http request

Command

Result

GET

/vca/api/v1/camera_simulation/image_sets

Returns the list of available image sets

POST

/vca/api/v1/camera_simulation/image_sets

Create a new or update an existing image set

POST

/vca/api/v1/camera_simulation/image_sets/cancel

Cancel the image set upload specified by the image set name in the request body

GET

/vca/api/v1/camera_simulation/image_sets/{image_set_id}/package

Download the image set package file

DELETE

/vca/api/v1/camera_simulation/image_sets/{image_set_id}

Delete the image set

PATCH

/vca/api/v1/camera_simulation/image_sets/{image_set_id}/description

Change the description of the image set

Table 4. Logging API

http request

Command

Result

GET

/vca/api/logging_server/logs

Returns the log entries in a list

GET

/vca/api/logging_server/download_logs

Downloads the log files

Table 5. Image streaming

http request

Command

Result

GET

/vca/pe/preview/{camera_id}

Provides a periodically updating image stream of the camera.

GET

/vca/pe/stream/{camera_id}

Provides a continuous stream with images of the camera.

GET

/vca/pe/event/{camera_id}

Provides continuous timestamp and status information of the camera stream through Server-Side Events (SSE)